<div class="card card-user">
  <div class="card-header">
    <h5 class="card-title">Create New Task</h5>
  </div>
  <div class="card-body">
    <form [formGroup]="formData">
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <label>Task Description</label>
            <textarea formControlName="description" class="form-control textarea"></textarea>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <label>Deadline</label>
            <input type="date" formControlName="deadline" class="form-control" placeholder="" >
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="form-group">
            <label for="multiselect">Categories : 'please reselect options'</label>
            <div class="row">
              <div class="col-md-12  body-sub-task">
                <div  *ngFor="let checkbox of categories">
                  <label>
                    <input type="checkbox" formControlName="categories"  [checked]="checkbox.selected ? checkbox.selected : false" (change)="onCheckboxChange(checkbox)"  />
                    {{ checkbox.name }}
                  </label>
                </div>
              </div>
            </div>
          
            
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <div class="col-md-12 header-sub-task">
            <label class="pt-3">sub task</label>
            <button type="button" class="btn btn-primary btn-round ml-3" (click)="addSubTaskInput()"> <i
                class="nc-icon nc-simple-add"></i>
            </button>
          </div>
        </div>

        <div formArrayName="sub_tasks" class="col-md-12" *ngFor="let field of sub_tasks.controls; let i = index">
          <div class="col-md-12 body-sub-task m-3 ">
            <input class="form-control" type="text" [formControlName]="i" placeholder="Input {{ i + 1 }}" />
            <button type="button" class="btn btn-danger btn-round ml-3" (click)="removeInput(i)">  <i
              class="nc-icon nc-simple-remove"></i></button>

          </div>
        </div>

      </div>
      <div class="row">
        <div class="update ml-auto mr-auto">
          <button type="submit" (click)="onSubmit()"
            class="btn btn-primary btn-round" [disabled] ="!formData.valid">Create</button>
        </div>
      </div>
    </form>
  </div>
</div>